Skip to Content

svn build failure

4 replies [Last post]
allan_k
Offline
Joined: 09/06/2011

Downloaded the tree fresh ..

I'm looking to see if I can modify the ebuild for svn from gentoo to use cmake... so running it independantly first.

Getting the following error.. Looks like some files are missing

 

/usr/local/src/hydrogen/src/core/src/helpers/xml.cpp:8:36: error: QtXmlPatterns/QXmlSchema: No such file or directory
/usr/local/src/hydrogen/src/core/src/helpers/xml.cpp:9:45: error: QtXmlPatterns/QXmlSchemaValidator: No such file or directory
/usr/local/src/hydrogen/src/core/src/helpers/xml.cpp: In member function 'bool H2Core::XMLDoc::read(const QString&, const QString&)':
/usr/local/src/hydrogen/src/core/src/helpers/xml.cpp:117: error: 'QXmlSchema' was not declared in this scope
/usr/local/src/hydrogen/src/core/src/helpers/xml.cpp:117: error: expected ';' before 'schema'
/usr/local/src/hydrogen/src/core/src/helpers/xml.cpp:124: error: 'schema' was not declared in this scope
/usr/local/src/hydrogen/src/core/src/helpers/xml.cpp:139: error: 'QXmlSchemaValidator' was not declared in this scope
/usr/local/src/hydrogen/src/core/src/helpers/xml.cpp:139: error: expected ';' before 'validator'
/usr/local/src/hydrogen/src/core/src/helpers/xml.cpp:140: error: 'validator' was not declared in this scope
make[2]: *** [src/core/CMakeFiles/hydrogen-core-0.9.6.dir/src/helpers/xml.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [src/core/CMakeFiles/hydrogen-core-0.9.6.dir/all] Error 2
make: *** [all] Error 2

mauser
Offline
Joined: 03/30/2010

Hi Allan!

Are you sure that you're QT installation is complete? Have you installed the QtXml Module along with its header files?

allan_k
Offline
Joined: 09/06/2011

It wasn't in there but I rebuilt it and got the same error .. trying to update svn again and see what happens.. (also experiencing different issues on my 64 bit desktop).. btw .. 0.9.5 compiles fine.. so not sure if there are any other dependancies.

allan_k
Offline
Joined: 09/06/2011

Hmmm. okay .. fixed the issue with my 64 bit desktop . Had to install the 1.x version of raptor.(dependancy note if going to update the ebuild for gentoo pro-audio)

 

however my 32 bit laptop (which is an almost identical system) still has the original problem.. They both have all the same qt libraries.. Investigating further .

 

allan_k
Offline
Joined: 09/06/2011

did a system update on this machinee.. all sorted